# yp_master

(PHP 4, PHP 5 < 5.1.0)

yp_master — Returns the machine name of the master NIS server for a map

### Description

yp_master ( string `$domain` , string `$map` ) : string

Returns the machine name of the master NIS server for a `map`.

### Parameters

`domain`

  The NIS domain name.

`map`

  The NIS map.

### Return Values

### Examples

Example #1 Example for the NIS master

`<?php
$number = yp_master($domain, $mapname);
echo "Master for this map is: " . $master;
?>`

### See Also

- yp_get_default_domain() - Fetches the machine's default NIS domain